Get ready for beta!

Halo Wars 2 Blitz: Game modes, beginner's tips, and more

One Windows

Microsoft is building a new Windows 10 Shell for PC, Mobile and Xbox

On the Inside

Everything you need to know about the Xbox Insider Program

Beautiful compromises

Surface Studio review: you'll want one, even if you don't need one

3-in-1

Is this the Surface Phone? Microsoft awarded patents for foldable devices

Windows Central Offers

MCSE Certification bundle is just $39

Even more improvements

All the changes found in Windows 10 build 15007!

Games as a Service

What does the cancellation of Scalebound mean for future Xbox exclusives?

Windows Central Offers

Save $90 on these FRESHeBUDS Pro Magnetic Bluetooth Earbuds

Returning for 2017

We're back with an new episode of #AskDanWindows

Lifetime Subscription

VPNSecure is currently 91% off

Our favorite things

The Best of CES 2017 Awards

Infinity Edge in your hand

The XPS 13 2-in-1 is the Dell convertible we've always wanted

Project Valerie

Razer just made a laptop with three — THREE! — 17-inch 4K displays. 😱

Great design from Palo Alto

HP's CES 2017 releases are truly gorgeous PCs

Intel and Google's big day

CES 2017 Day Two: New laptops, new phones, and old ideas made new

Take five is better than ever

The updated Lenovo ThinkPad X1 packs Kaby Lake chips and zero bloatware

Everything we know about the next Xbox: Project Scorpio

UWPowered

'Game Mode' for Windows 10 will power Xbox One and Scorpio games too

Buyer's guide

Best accessories for Microsoft Surface Book

< >
Welcome to the Windows Central Forums Create Your Account or Ask a Question Answers in 5 minutes - no registration required!
Results 1 to 10 of 10
  1. BeaverJuicer's Avatar
    Member

    Posts
    215 Posts
    Global Posts
    219 Global Posts
       #1  
    So I tried to get the new update, but get an error in the store saying it requires features not supported by my device. I press on that, and it says

    App not compatible

    This app is not available because it requires:

    - compass
    So I go into the version already installed (and have used in the past) to get an error saying "your device doesn't support motion sensor" and my compass will no longer calibrate.

    Is this a known issue?
  2. Alex Kj's Avatar
    Member

    Posts
    112 Posts
    #2  
    Hmm... Maybe try to remove the version that is already installed and then try to re-install it? Does your compass still work in other apps, like gMaps?
  3. BeaverJuicer's Avatar
    Member

    Posts
    215 Posts
    Global Posts
    219 Global Posts
       #3  
    gMaps gives a little note at the top of the screen saying "Compass sensor isn't supported."

    Looks like I'll be sending it out for repair yet again.
  4. jgbstetson's Avatar
    Member

    Posts
    457 Posts
    #4  
    This may sound stupid, but make sure you aren't using magnetic materials near the phone. I remember others reporting issues when using a case with a magnetic closure.
  5. BeaverJuicer's Avatar
    Member

    Posts
    215 Posts
    Global Posts
    219 Global Posts
       #5  
    No case, no magnetic anything near it... But the phone doesn't think it has a compass or motion sensor.
  6. jgbstetson's Avatar
    Member

    Posts
    457 Posts
    #6  
    Quote Originally Posted by BeaverJuicer View Post
    No case, no magnetic anything near it... But the phone doesn't think it has a compass or motion sensor.
    sorry beaverjuicer. Man, that a great name. Cute, but graphic in so many ways.
  7. sajken's Avatar
    Member

    Posts
    2 Posts
    #7  
    I'am having the exact same issue. Answers higly appreciated.
  8. schlati's Avatar
    Member

    Posts
    1 Posts
    #8  
    The same goes for me.
    My compass and even the camera (!) stopped working ~3 hours after I received my yellow 920 (while using the city lens app which suddenly hung).
    When using WhatsApp, it's still possible to record videos, but no photos...any suggestions (for either the compass or the cam)?!
  9. Tony Dony's Avatar
    Member

    Posts
    24 Posts
    #9  
    City Lens says I need a compass for it to work, but it worked before...
  10. hipporama's Avatar
    Member

    Posts
    285 Posts
    Global Posts
    290 Global Posts
    #10  
    Does it work with a normal compass app? If that also is giving an error, then maybe you should take it to Nokia Care.

Similar Threads

  1. Replies: 8
    Last Post: 11-26-2012, 11:46 AM
  2. Nokia Transport & Nokia City Lens Beta Apps (Lumia 900)
    By TheWeeBear in forum Nokia Lumia 900
    Replies: 4
    Last Post: 01-26-2012, 04:26 PM
  3. How do you carry your device?
    By cckgz4 in forum Windows Phone 7
    Replies: 44
    Last Post: 11-16-2011, 11:21 PM
  4. Replies: 47
    Last Post: 11-03-2011, 12:13 PM

Posting Permissions